Last Comment Bug 779826 - java.lang.IllegalArgumentException: Invalid size <n> at org.mozilla.gecko.mozglue.DirectBufferAllocator.allocate(DirectBufferAllocator.java)
: java.lang.IllegalArgumentException: Invalid size <n> at org.mozilla.gecko.moz...
Status: RESOLVED FIXED
[native-crash][startupcrash]
: crash, regression, topcrash
Product: Firefox for Android
Classification: Client Software
Component: General (show other bugs)
: 17 Branch
: ARM Android
: -- critical (vote)
: Firefox 17
Assigned To: Vladimir Vukicevic [:vlad] [:vladv]
:
Mentors:
: 779963 (view as bug list)
Depends on:
Blocks: 779366
  Show dependency treegraph
 
Reported: 2012-08-02 06:08 PDT by Scoobidiver (away)
Modified: 2016-07-29 14:29 PDT (History)
5 users (show)
See Also:
Crash Signature:
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---
unaffected
fixed


Attachments

Description Scoobidiver (away) 2012-08-02 06:08:20 PDT
There are currently 9 crashes from 2 users in 17.0a1/20120802, including bp-2f979e33-1a97-4a93-a067-928a72120802.
The regression range is:
http://hg.mozilla.org/mozilla-central/pushloghtml?fromchange=582d4c67b3a7&tochange=588424024294
It's likely a regression from bug 779366

java.lang.IllegalArgumentException: Invalid size 37286
	at org.mozilla.gecko.mozglue.DirectBufferAllocator.allocate(DirectBufferAllocator.java:21)
	at org.mozilla.gecko.Tab.getThumbnailBuffer(Tab.java:147)
	at org.mozilla.gecko.GeckoApp.getAndProcessThumbnailForTab(GeckoApp.java:637)
	at org.mozilla.gecko.GeckoApp$21.run(GeckoApp.java:1301)
	at android.os.Handler.handleCallback(Handler.java:615)
	at android.os.Handler.dispatchMessage(Handler.java:92)
	at android.os.Looper.loop(Looper.java:137)
	at org.mozilla.gecko.GeckoBackgroundThread.run(GeckoBackgroundThread.java:31)

More reports at:
https://crash-stats.mozilla.com/report/list?signature=java.lang.IllegalArgumentException%3A+Invalid+size+37286+at+org.mozilla.gecko.mozglue.DirectBufferAllocator.allocate%28DirectBufferAllocator.java%29
Comment 1 Vladimir Vukicevic [:vlad] [:vladv] 2012-08-02 08:15:56 PDT
After irc discussion, just landed direct on m-c: http://hg.mozilla.org/mozilla-central/rev/e62747d22841 .  Will trigger nightly respin shortly.
Comment 2 Chris Peterson [:cpeterson] 2012-08-02 11:23:55 PDT
(In reply to Vladimir Vukicevic [:vlad] [:vladv] from comment #1)
> After irc discussion, just landed direct on m-c:
> http://hg.mozilla.org/mozilla-central/rev/e62747d22841 .  Will trigger
> nightly respin shortly.

Thanks, Vlad!
Comment 3 Scoobidiver (away) 2012-08-03 01:18:07 PDT
(In reply to Vladimir Vukicevic [:vlad] [:vladv] from comment #1)
> Will trigger nightly respin shortly.
Not done.
Comment 4 Scoobidiver (away) 2012-08-03 01:24:47 PDT
*** Bug 779963 has been marked as a duplicate of this bug. ***

Note You need to log in before you can comment on or make changes to this bug.